# Introduction to the Access Token Controller REST API

FlexNet Operations users call the **access-token-controller** REST web service to request an access token with a limited expiration from FlexNet Operations. The web service returns an access token which is a hexadecimal string with an **rna_** prefix.

When firing requests to a FlexNet Operations API (REST or SOAP), this token must be added to the authentication header of the API request with the word Bearer followed by the token string.

The access token not only authenticates the requester but also defines the permissions of how the requester can use the API.

{% admonition type="info" %}
Access tokens can also be managed using the Producer Portal. For more information, see the topic [Managing Access Tokens](https://docs.revenera.com/fno_CURRENT/producer/Content/helplibrary/platUserMgeAccessTokens.htm) in the [FlexNet Operations User Guide](https://docs.revenera.com/fno_CURRENT/producer/Default.htm) on the [Revenera Documentation](https://docs.revenera.com/) site.
{% /admonition %}


Version: 2024.09

## Servers

[object Object]
```
//{siteID}.flexnetoperations.com/flexnet
```

## Security

### Bearer

Type: apiKey
In: header
Name: Authorization

### basicAuth

Type: http
Scheme: basic

## Download OpenAPI description

 - [Introduction to the Access Token Controller REST API](https://developer.revenera.com/_bundle/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens.yaml)

## Access Token Controller

 - [POST /uar/v1/token](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/createtokenusingpost_1.md): Use this API to create an access token. The response includes the token value. This is the only time the token value is displayed. The value must be included as a Bearer token in the Authorization HTT
 - [POST /uar/v1/token/verification](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/verifytokenusingpost_1.md): Use this API to very if a token is valid. Pass the token value in the request body. The response shows if the token is valid, along with information about the token. Only the token creator can verify
 - [GET /uar/v1/token/{tokenName}](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/gettokenusingget_1.md): Use this API to fetch the details of an access token identified by its name.
 - [PUT /uar/v1/token/{tokenName}](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/updatetokenusingput_1.md): Use this API to update some of the attributes of a specified access token. Specify the name of the token that you want to update in the path (case sensitive). In the request body, specify the new valu
 - [DELETE /uar/v1/token/{tokenName}](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/deletetokenusingdelete_1.md): Use this API to delete an access token. Pass the name of the token to be deleted as a path parameter. The token name is case sensitive. A deleted token can no longer be used to access the APIs. Only t
 - [POST /uar/v1/token/{tokenName}/rotation](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/rotatetokenusingpost_1.md): Token rotation means that a token's value is changed, but no other properties. Pass the name of the token to be rotated as a path parameter. The token name is case sensitive. The response contains the
 - [GET /uar/v1/tokens](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/gettokensforuserusingget_1.md): Use this API to get a list of all non-expired access tokens for a specified user. You must specify either the username or the tokenCreator parameter as search criteria. If you pass values for both par
 - [GET /uar/v1/tokens/count](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/gettokencountusingget_1.md): Use this API to get a count of all non-expired access tokens for a specified user. You must specify either the username or the tokenCreator parameter as search criteria. Tip: Use this API to specify v
 - [POST /uar/v1/tokens/search](https://developer.revenera.com/products/fno-api/apis/rest/accesstokencontroller/openapi-access-tokens/access-token-controller/searchtokensusingpost_1.md): Get a list of all non-expired access tokens that match specified search criteria. You must specify at least one of the following search criteria. If you pass multiple parameters as search criteria, th
